libetonyek::IWORKTabsElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKTabsElement Class Reference

`#include <IWORKTabsElement.h>`

Inheritance diagram for libetonyek::IWORKTabsElement:

## Public Member Functions
| IWORKTabsElement (IWORKXMLParserState &state, IWORKTabStops_t &tabs)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKTabStops_t & | m_tabs
boost::optional< IWORKTabStop > | m_current

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKTabsElement()

libetonyek::IWORKTabsElement::IWORKTabsElement | ( | IWORKXMLParserState & | state,
|  | IWORKTabStops_t & | tabs )

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKTabsElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKTabsElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_current

boost::optional<IWORKTabStop> libetonyek::IWORKTabsElement::m_current
| private

Referenced by element(), and endOfElement().

## ◆ m_tabs

IWORKTabStops_t& libetonyek::IWORKTabsElement::m_tabs
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKTabsElement.h
- IWORKTabsElement.cpp